# rush-github-action-build-cache-plugin
[Rush](https://rushjs.io) build-cache plugin for Github Actions. This plugin will automatically save and restore build cache in Github actions. The cache files are stored in github caches.

## Prerequisite

Rush.js >= 5.85.0

## Installation

1. First, make sure you have Node.js and Rush installed.
2. Run `rush init-autoinstaller --name rush-plugins` to create an autoinstaller for the plugin. This will generate autoinstaller files in `common/autoinstallers/rush-plugins` directory.
3. Add the plugin as a dependency in `autoinstaller/rush-plugins/package.json` file to include the plugin.

```
{
  "name": "rush-plugins",
  "version": "1.0.0",
  "private": true,
  "dependencies": {
    "@gigara/rush-github-action-build-cache-plugin": "^1.0.0"
  }
}
```

4. Run the `rush update-autoinstaller --name rush-plugins` command to update the autoinstaller with plugin dependency.

5. Navigate to the `common/config/rush/` directory and open the `rush-plugins.json` file. Add the plugin to the plugins array.

```
{
  "plugins": [
    {
      "packageName": "@gigara/rush-github-action-build-cache-plugin",
      "pluginName": "rush-github-action-build-cache-plugin",
      "autoinstallerName": "rush-plugins"
    }
  ]
}
```
6. Run the `rush update` command to install plugin and update the Rush configuration.

## Contributing

Contributions are welcome! Please create a pull request on the Github repository.

## License
This project is licensed under the [Apache 2](https://www.apache.org/licenses/LICENSE-2.0.txt) License. See the LICENSE file for details.
